function notdef = lqgcheck
% LQGCHECK checks if the global variables needed for LQGBOX have been defined

% Kjell Gustafsson
% LastEditDate : Tue Mar 12 14:35:16 1991
% Copyright (c) 1990 by Kjell Gustafsson and Department of Automatic Control,
% Lund Institute of Technology, Lund, SWEDEN

if exist('caretype')~=1 | exist('daretype')~=1
  disp('Defining necessary global variables. Please reissue command.');
  lqgbox;
  notdef = 1;
else
  notdef = 0;
end
